<template>
  <span class="sorting" @click="toggleSorting">
    {{ sortingText }}

    <span class="sorting__arrows">
      <icon-small-arrow class="sorting__arrow"
                        direction="to-top"
                        :active="sortingType === 'asc' || sortingType === ''"/>
      <icon-small-arrow class="sorting__arrow"
                        direction="to-bottom"
                        :active="sortingType === 'desc'"/>
    </span>
  </span>
</template>

<script>
  import IconSmallArrow from '../components/icons/IconSmallArrow';

  export default {
    name: 'Sorting',
    components: {
      IconSmallArrow
    },
    props: {
      sortingType: {
        required: true,
        default: 'asc'
      }
    },
    computed: {
      sortingText() {
        return this.sortingType === 'asc' || this.sortingType === ''
          ? 'Сначала дешевле'
          : 'Сначала дороже';
      }
    },
    methods: {
      toggleSorting() {
        this.sortingType === 'asc' || this.sortingType === ''
          ? this.changeSortingType('desc')
          : this.changeSortingType('asc');
      },

      changeSortingType(type) {
        this.$emit('changeSortingType', type);
      }
    }
  }
</script>

<style lang="scss">
  @import '~assets/scss/variables.scss';
  @import '~assets/scss/mixins.scss';

  .sorting {
    @include bold-black-link;
    @include main-link;

    display: flex;
    align-items: center;

    cursor: pointer;
    white-space: nowrap;

    &__arrows {
      display: flex;
      flex-flow: column;
      margin-left: rem(10);
    }

    &__arrow {
      & + & {
        margin-top: rem(4);
      }
    }
  }
</style>
